Skip to main content
PATCH
/
libraries
/
{libraryId}
/
videos
/
{videoId}
/
thumbnails
/
set
Set Thumbnail
curl --request PATCH \
  --url https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/{videoId}/thumbnails/set \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "thumbnail_url": "https://example.com/e597d73e-cca8-4b62-858f-aa655e31df64/thumbnail.jpg"
}
'
import requests

url = "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/{videoId}/thumbnails/set"

payload = { "thumbnail_url": "https://example.com/e597d73e-cca8-4b62-858f-aa655e31df64/thumbnail.jpg" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
thumbnail_url: 'https://example.com/e597d73e-cca8-4b62-858f-aa655e31df64/thumbnail.jpg'
})
};

fetch('https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/{videoId}/thumbnails/set', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"strings"
"net/http"
"io"
)

func main() {

url := "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/{videoId}/thumbnails/set"

payload := strings.NewReader("{\n \"thumbnail_url\": \"https://example.com/e597d73e-cca8-4b62-858f-aa655e31df64/thumbnail.jpg\"\n}")

req, _ := http.NewRequest("PATCH", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/{videoId}/thumbnails/set")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"thumbnail_url\": \"https://example.com/e597d73e-cca8-4b62-858f-aa655e31df64/thumbnail.jpg\"\n}"

response = http.request(request)
puts response.read_body
HttpResponse<String> response = Unirest.patch("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/{videoId}/thumbnails/set")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"thumbnail_url\": \"https://example.com/e597d73e-cca8-4b62-858f-aa655e31df64/thumbnail.jpg\"\n}")
.asString();
using RestSharp;


var options = new RestClientOptions("https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/{videoId}/thumbnails/set");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"thumbnail_url\": \"https://example.com/e597d73e-cca8-4b62-858f-aa655e31df64/thumbnail.jpg\"\n}", false);
var response = await client.PatchAsync(request);

Console.WriteLine("{0}", response.Content);
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tenbyte.io/v1/vidinfra/libraries/{libraryId}/videos/{videoId}/thumbnails/set",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'thumbnail_url' => 'https://example.com/e597d73e-cca8-4b62-858f-aa655e31df64/thumbnail.jpg'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
{
  "message": "Video Thumbnail Updated Successfully",
  "success": true
}
{
"message": "Invalid Request",
"success": false
}
{
"code": "auth_type_not_found",
"message": "Could not determine authentication type from request. Please provide a valid Authorization header or X-API-Key header.",
"success": false
}
{
"message": "Resource not found",
"success": false
}
{
"message": "Invalid Request",
"errors": [
{
"field": "field_name",
"code": "validation_required",
"message": "This field is required"
}
],
"success": false
}
{
"message": "Internal server error",
"success": false
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

libraryId
string
required

Unique identifier of the library.

videoId
string
required

Unique identifier of the targeted video resource.

Body

application/json
thumbnail_url
string
required

Thumbnail URL which will be selected as defualt in video player preview.

Response

message
string
required
success
boolean
required